libzypp 17.37.10

DownloadMode.cc File Reference
`#include <iostream>`
`#include <zypp/base/String.h>`
`#include <zypp/DownloadMode.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | OUTS(VAL)

## Functions
bool | zypp::deserialize (const std::string &str_r, DownloadMode &result_r)
std::ostream & | zypp::operator<< (std::ostream &str, DownloadMode obj)

## Macro Definition Documentation

## ◆ OUTS [1/2]

#define OUTS | ( |  | VAL | ) |

Value:
if ( str::compareCI( str_r, #VAL ) == 0 ) { result_r = VAL; return true; }

## ◆ OUTS [2/2]

#define OUTS | ( |  | VAL | ) |

Value:
case VAL: return str << #VAL; break
str
String related utilities and Regular expression matching.